## libunicode-japanese-perl 0.50

=== erlang/Makefile ===
# -----------------------------------------------------------------------------
# Makefile for unijp.erl.
# -----------------------------------------------------------------------------
# Mastering programmed by YAMASHINA Hio
#
# Copyright 2007 YAMASHINA Hio
# -----------------------------------------------------------------------------
# $Id: Makefile 219 2008-02-01 08:21:48Z hio $
# -----------------------------------------------------------------------------

DISTNAME=unijp
VERSION=0.4.0.2
DISTVERNAME=$(DISTNAME)-$(VERSION)

PERLRUN=perl

WITH_LIBUNIJP=/usr/local
DESTDIR=

ERL=erl
ERLC=erlc
ERL_DIR=$(shell $(ERL) -noshell -eval 'io:format("~s~n", [code:root_dir()]), init:stop().')
ERL_LIB_DIR=$(shell $(ERL) -noshell -eval 'io:format("~s~n", [code:lib_dir()]), init:stop().')
INST_DIR=$(DESTDIR)$(ERL_LIB_DIR)/$(DISTVERNAME)
ERLEVAL=$(ERL) -noshell -pa $(bdir) -run unijp start -eval
ERL_INTERFACE_DIR=$(shell $(ERL) -noshell -eval 'io:format("~s~n", [code:lib_dir(erl_interface)]), init:stop()')

OPTIMIZE=-g -O2
CFLAGS= \
  -Wall $(OPTIMIZE) \
  -I$(ERL_DIR)/usr/include \
  -I$(ERL_INTERFACE_DIR)/include \
  -I$(WITH_LIBUNIJP)/include 
LDFLAGS=\
  -L$(ERL_INTERFACE_DIR)/lib \
  -L$(WITH_LIBUNIJP)/lib
LDLIBS=-lerl_interface -lei -lunijp

DLLD_Linux=gcc -shared -fPIC
DLLD_Darwin=cc -bundle -undefined dynamic_lookup -fPIC 
DLLD=$(DLLD_$(shell uname -s))

bdir=build/$(DISTVERNAME)

nil=
BUILD_FILES=\
	$(bdir)/src/unijp.erl \
	$(bdir)/ebin/unijp.beam \
	$(bdir)/ebin/unijp_nif.beam \
	$(bdir)/priv/lib/unijp_nif.so \
	$(nil)

# -----------------------------------------------------------------------------
# all, clean, test, install, docs.
#
all: $(BUILD_FILES)

install: all
	echo "[$(ERL_LIB_DIR)]"
	test -e $(INST_DIR) || mkdir -p $(INST_DIR)
	cp -r $(bdir)/ebin $(bdir)/priv $(bdir)/src $(INST_DIR)/

clean:
	rm -rf *.so *.o unijp.beam unijp_nif.beam ebin priv build

docs:
	$(ERL) -noshell -run edoc_run files '["unijp.erl", "inc/test_more.erl"]' '[{dir,"html"}]'

test_lib: inc/test_more.beam inc/test_harness.beam
inc/test_more.beam: inc/test_more.erl; $(ERLC) -o $(@D) inc/test_more.erl
inc/test_harness.beam: inc/test_harness.erl; $(ERLC) -o $(@D) inc/test_harness.erl

test: check
check: all
	$(ERLC) test1.erl
	$(ERL) -noshell -pa $(bdir) -pa inc -pa t -run test1 test -run init stop

# -----------------------------------------------------------------------------
# build rules.
#

$(bdir):
	test -e build || mkdir build
	test -e $(bdir) || mkdir $(bdir)

# bdir/unijp
$(bdir)/src/unijp.erl: $(bdir) unijp.erl
	test -e $(bdir)/src || mkdir $(bdir)/src
	cp -f unijp.erl $(bdir)/src/unijp.erl
$(bdir)/ebin/unijp.beam: $(bdir) unijp.beam
	test -e $(bdir)/ebin || mkdir $(bdir)/ebin
	cp -f unijp.beam $(bdir)/ebin/unijp.beam
$(bdir)/ebin/unijp_nif.beam: $(bdir) unijp_nif.beam
	test -e $(bdir)/ebin || mkdir $(bdir)/ebin
	cp -f unijp_nif.beam $(bdir)/ebin/unijp_nif.beam
$(bdir)/priv/lib/unijp_nif.so: $(bdir) unijp_nif.so
	test -e $(bdir)/priv     || mkdir $(bdir)/priv
	test -e $(bdir)/priv/lib || mkdir $(bdir)/priv/lib
	cp -f unijp_nif.so $(bdir)/priv/lib/unijp_nif.so

# unijp.erl
unijp.beam: unijp.erl
	$(ERLC) +debug_info $<
unijp_nif.beam: unijp_nif.erl
	$(ERLC) +debug_info $<
unijp_nif.so: unijp_nif.c
	$(DLLD) $(CFLAGS) $(LDFLAGS) $< -o $@ $(LDLIBS)

shell:
	UNIJP_INPLACE_NIF_MODULE_DIR=$(bdir)/priv/lib \
		$(ERL) -pa $(bdir)

# -----------------------------------------------------------------------------
# dist.
#
dist:
	rm -rf $(DISTVERNAME) $(DISTVERNAME).tar $(DISTVERNAME).tar.gz
	$(PERLRUN) -MExtUtils::Manifest=manicopy,maniread -e 'manicopy(maniread(), "$(DISTVERNAME)")'
	tar cvf $(DISTVERNAME).tar $(DISTVERNAME)
	gzip --best $(DISTVERNAME).tar
	rm -rf $(DISTVERNAME)

# -----------------------------------------------------------------------------
# End of File.
# -----------------------------------------------------------------------------

## libunicode-japanese-perl 0.49

=== debian/changelog ===
libunicode-japanese-perl (0.49-2build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:49:29 +0000

libunicode-japanese-perl (0.49-2build3) noble; urgency=medium

  * No-change rebuild for perlapi5.38t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 15:53:52 +0100

libunicode-japanese-perl (0.49-2build2) noble; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Jan 2024 13:49:35 +0100

libunicode-japanese-perl (0.49-2build1) lunar; urgency=medium

  * Rebuild against new perlapi-5.36.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 Nov 2022 12:14:30 +0100

libunicode-japanese-perl (0.49-2) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * Remove Jonathan Yu from Uploaders. Thanks for your work!

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * debian/control: update Build-Depends for cross builds.
  * debian/watch: use uscan version 4.

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + Build-Depends: Drop versioned constraint on debhelper.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 28 Jun 2022 21:33:11 +0100

libunicode-japanese-perl (0.49-1) unstable; urgency=low

  * Team upload.

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Florian Schlichting ]
  * Imported Upstream version 0.49.
    Closes: #787466 (FTBFS with perl 5.22)
  * Switched to source format 3.0 (quilt).
  * Bumped Standards-Version to 3.9.3 (use copyright-format 1.0).
  * Switched debhelper compatibility to level 9 to enable passing of CFLAGS.
  * Added myself to uploaders and copyright.

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ gregor herrmann ]
  * Bump debhelper build dependency to 9.20120312~.
  * Declare compliance with Debian Policy 3.9.6.
  * Add a patch to fix a spelling mistake.
  * Mark package as autopkgtest-able.

 -- gregor herrmann <gregoa@debian.org>  Tue, 02 Jun 2015 22:57:37 +0200

libunicode-japanese-perl (0.47-1) unstable; urgency=low

  * Take over package (Closes: #470722)
  * New upstream release
  * Update d/watch information
  * Transition to debhelper 7 + short rules from CDBS
  * Refresh to new DEP5 copyright format
  * Standards-Version 3.8.3 (update control data)
  * No longer install Changes via docs
  * Rewrite control description
  * All files are now installed into /usr/lib
  * Add Pod and Pod Coverage tests to B-D-I
  * Remove `wordsize' generated/left over during configure

 -- Jonathan Yu <jawnsy@cpan.org>  Sun, 03 Jan 2010 19:04:54 -0500

libunicode-japanese-perl (0.45-1) unstable; urgency=medium

  * New upstream release (Closes: #444375)
  * Fix build problem with perl 5.10 (Closes: #467113)

 -- Tatsuki Sugiura <sugi@nemui.org>  Wed, 27 Feb 2008 16:32:28 +0900

libunicode-japanese-perl (0.26-1) unstable; urgency=low

  * New upstream release

 -- Tatsuki Sugiura <sugi@nemui.org>  Mon,  4 Apr 2005 18:43:01 +0900

libunicode-japanese-perl (0.23-1) unstable; urgency=low

  * New upstream release

 -- Tatsuki Sugiura <sugi@nemui.org>  Sun,  7 Nov 2004 03:06:36 +0900

libunicode-japanese-perl (0.22-1) unstable; urgency=low

  * New upstream release

 -- Tatsuki Sugiura <sugi@nemui.org>  Fri, 11 Jun 2004 15:17:28 +0900

libunicode-japanese-perl (0.21-1) unstable; urgency=low

  * New upstream release

 -- Tatsuki Sugiura <sugi@nemui.org>  Thu, 27 May 2004 14:25:54 +0900

libunicode-japanese-perl (0.20-1) unstable; urgency=low

  * New upstream release

 -- Tatsuki Sugiura <sugi@nemui.org>  Thu, 11 Mar 2004 22:16:48 +0900

libunicode-japanese-perl (0.19-1) unstable; urgency=low

  * New upstream release

 -- Tatsuki Sugiura <sugi@nemui.org>  Tue, 20 Jan 2004 18:38:52 +0900

libunicode-japanese-perl (0.18-1) unstable; urgency=low

  * New upstream release

 -- Tatsuki Sugiura <sugi@nemui.org>  Tue,  3 Dec 2002 14:00:11 +0900

libunicode-japanese-perl (0.13-4) unstable; urgency=low

  * rebuild for perl5.8

 -- Tatsuki Sugiura <sugi@nemui.org>  Sat, 31 Aug 2002 21:31:23 +0900

libunicode-japanese-perl (0.13-3) unstable; urgency=low

  * license has been clarify in debian/copyright (Closes: #157659)

 -- Tatsuki Sugiura <sugi@nemui.org>  Sat, 31 Aug 2002 21:30:35 +0900

libunicode-japanese-perl (0.13-2) unstable; urgency=low

  * Uploaded official debian archive (Closes: #150088)

 -- Tatsuki Sugiura <sugi@nemui.org>  Wed, 31 Jul 2002 17:54:35 +0900

libunicode-japanese-perl (0.13-1) unstable; urgency=low

  * New upstream release

 -- Tatsuki Sugiura <sugi@nemui.org>  Wed, 24 Jul 2002 06:23:46 +0900

libunicode-japanese-perl (0.10-1) unstable; urgency=low

  * New upstream release

 -- Tatsuki Sugiura <sugi@nemui.org>  Thu, 11 Jul 2002 16:01:07 +0900

libunicode-japanese-perl (0.08-1) unstable; urgency=low

  * New upstream release

 -- Tatsuki Sugiura <sugi@nemui.org>  Thu, 27 Jun 2002 23:08:53 +0900

libunicode-japanese-perl (0.03-1) unstable; urgency=low

  * upstream release.

 -- Tatsuki Sugiura <sugi@assist.media.nagoya-u.ac.jp>  Mon, 24 Sep 2001 12:16:37 +0900

libunicode-japanese-perl (0.02-1) unstable; urgency=low

  * Initial Release.

 -- Tatsuki Sugiura <sugi@assist.media.nagoya-u.ac.jp>  Sun,  5 Aug 2001 13:05:13 +0900

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: libunicode-japanese-perl
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Florian Schlichting <fschlich@zedat.fu-berlin.de>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper,
               libtest-pod-coverage-perl,
               libtest-pod-perl,
               perl-xs-dev,
               perl:native
Standards-Version: 3.9.6
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libunicode-japanese-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libunicode-japanese-perl.git
Homepage: https://metacpan.org/release/Unicode-Japanese

Package: libunicode-japanese-perl
Architecture: any
Depends: ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: module for converting Japanese encodings
 Unicode::Japanese is a Perl module for converting Japanese encodings. It has
 support for conversion between ZENKAKU and HANKAKU, and safely handles EMOJI
 for mobile devices (DoCoMo i-mode, ASTEL dot-i and J-PHONE J-Sky).

## libunicode-japanese-perl 0.50

=== debian/changelog ===
libunicode-japanese-perl (0.50-2) unstable; urgency=medium

  * Team upload.
  * fix gcc15 build (Closes: #1097281)

 -- Victor Seva <vseva@debian.org>  Wed, 17 Sep 2025 08:40:28 +0200

libunicode-japanese-perl (0.50-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 0.50.
  * Drop spelling.patch, applied upstream.
  * New test dependency: libtest-script-perl.
  * Declare compliance with Debian Policy 4.7.2.
  * Set Rules-Requires-Root: no.
  * Bump debhelper-compat to 13.
  * Enable all hardening flags.
  * Annotate test-only build dependencies with <!nocheck>.
  * Add debian/tests/pkg-perl/smoke-files for new t/ujconv.t.

 -- gregor herrmann <gregoa@debian.org>  Sat, 15 Mar 2025 22:11:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: libunicode-japanese-perl
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Florian Schlichting <fschlich@zedat.fu-berlin.de>
 Section: perl
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
-Build-Depends: debhelper,
-               libtest-pod-coverage-perl,
-               libtest-pod-perl,
+Build-Depends: debhelper-compat (= 13),
+               libtest-pod-coverage-perl <!nocheck>,
+               libtest-pod-perl <!nocheck>,
+               libtest-script-perl <!nocheck>,
                perl-xs-dev,
                perl:native
-Standards-Version: 3.9.6
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libunicode-japanese-perl
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libunicode-japanese-perl.git
 Homepage: https://metacpan.org/release/Unicode-Japanese
+Rules-Requires-Root: no
 
 Package: libunicode-japanese-perl
 Architecture: any

=== debian/watch ===
version=4
https://metacpan.org/release/Unicode-Japanese   .*/Unicode-Japanese-v?@ANY_VERSION@@ARCHIVE_EXT@$
